import httputils from '@/api/httputils'
// 图例库-查询
export function queryLegend({ postParams }) {
    return httputils.postJson(`/serve/topology-wanda/graphElement/query`, postParams)
}
// 图例库-新增
export function createLegend({ postParams }) {
    return httputils.postJson(`/serve/topology-wanda/graphElement/create`, postParams)
}
// 图例库-新增
// export function createLegend({
//     postParams
// }) {
//     return httputils.postJson(`/serve/topology-wanda/graphElement/create`, postParams)
// }
//图例库-更新
export function updateLegend({ postParams }) {
    return httputils.postJson(`/serve/topology-wanda/graphElement/update`, postParams)
}
//图例库-作废
export function deleteLegend({ postParams }) {
    return httputils.postJson(`/serve/topology-wanda/graphElement/deleteByFlag`, postParams)
}
//图例库-系统tree查询
export function getLegendTree({ getParams }) {
    return httputils.getJson(`/serve/topology-wanda/graphCategory/queryByGroup`, getParams)
}

//图例库-系统tree相关表格查询
export function queryRelation({ data, postParams }) {
    return httputils.fetchJson(`/serve/topology-wanda/graphRelation/query`, data, postParams)
}
//图例库-更新关系图
export function updateRelation({ postParams }) {
    return httputils.postJson(`/serve/topology-wanda/graphRelation/update`, postParams)
}
//图例库-系统tree相关表格删除
export function deleteRelation({ postParams }) {
    return httputils.postJson(`/serve/topology-wanda/graphRelation/delete`, postParams)
}
//图例库-上传图片
export function uploadImg({ postParams }) {
    return httputils.postJson(`/serve/topology-wanda/Picture/create`, postParams)
}
//图例库-穿梭框的搜索
export function getTransfer({ getParams }) {
    return httputils.getJson(`/serve/topology-wanda/graphElement/search`, getParams)
}
//图例库typeId
export function queryTypeId({ postParams }) {
    return httputils.postJson(`/serve/topology-wanda/graphElement/type/query`, postParams)
}
// 搜索图铺位可视化类型信息
export function getVisualization({ getParams }) {
    return httputils.getJson(`/serve/topology-wanda/graphElement/type/search`, getParams)
}
// 图例分层展示
export function groupByCategory({ getParams }) {
    // return httputils.getJson(`/serve/topology-wanda/graphRelation/groupByCategory`, getParams)
    return httputils.getJson(`/serve/topology-wanda/graphElement/groupByInfoSystem`, getParams)
}
// 图例搜索
export function graphElementSearch({ postParams }) {
    return httputils.postJson(`/serve/topology-wanda/graphElement/search`, postParams)
}
// 更新图例关系信息
// export function graphElementUpdate({
//     postParams
// }) {
//     return httputils.postJson(`/serve/topology-wanda/graphRelation/update`, postParams)

// }

// 业下设备分类和位置分类树形结构
 
 
 

export function queryDeviceAndPOsition({
    postParams
}) {
 
    return httputils.postJson(`/data/t_system_wzfl/query`, postParams)
}

//图形查询
export function queryPics({ postParams }) {
    return httputils.postJson(`/serve/topology-wanda/graph/query`, postParams)
}
