import httputils from "@/api/httputils"
// 查询图片
export function queryPic({ getParams }) {
    return httputils.getJson(`/data/sms_proimgup/query`, getParams)
}

// 查询下拉框
export function querySelect({ data, postParams }) {
    return httputils.fetchJson(`/data/base/queryOptions`, data, postParams)
}

// 查询Tab数据统计数量
export function queryTab({ data, postParams }) {
    return httputils.fetchJson(`/data/base/queryTabStatistics`, data, postParams)
}

// 查询图例统计信息
export function queryStatis({ data, postParams }) {
    return httputils.fetchJson(`/serve/topology-wanda/graphElement/statistic/query`, data, postParams)
}

// 图例-查询图片
//  /serve/topology-wanda/Picture/eqruy/{id}

// 更新图例系统信息
export function updateStatis({ postParams }) {
    return httputils.postJson(`/serve/topology-wanda/graphElement/statistic/update`, postParams)
}

// 查询系统图备注-(后期可能不需要)
export function queryRead({ data, postParams }) {
    return httputils.fetchJson(`/serve/topology-wanda/graph/read`, data, postParams)
}

// 修改系统图备注
export function updateRead({ postParams }) {
    return httputils.postJson(`/serve/topology-wanda/graph/updateNote`, postParams)
}

//查询系统图展示所需数据 --平面图业务数据
export function readGroup(postParams) {
    return httputils.postJson(`/serve/topology-wanda/graph/read`, postParams)
}
// 查询草稿箱数量
export function queryDraftNum(data) {
    return httputils.postJson(`/serve/topology-wanda/graph/query`, data)
}
// 查询铺位名称
export function queryBrand({ data, postParams }) {
    return httputils.fetchJson(`/data/tb_brand_intentiondetail/query`, data, postParams)
}
//记录PV/UV
export function getPvUv(data, postParams) {
    return httputils.fetchJson(`/data/pvuv/save`, data, postParams)
}
// 保存楼层缓存
export function setFloor(data, postParams) {
    return httputils.fetchJson(`/data/plaza/floor/set`, data, postParams)
}
// 查询图
export function graphQuery(params){
    return httputils.postJson(`/serve/topology-wanda/graph/query`, params)
}