import httputils from '@/api/httputils'

// 设备设施-主要设备清单
export function queryEquipmentList({ data, postParams }) {
    return httputils.fetchJson(`/data/sms_asset/queryStatistics`, data, postParams)
}

// 设备设施-主要设备清单详情
export function queryAsset({ data, postParams }) {
    return httputils.fetchJson(`/data/sms_asset/query`, data, postParams)
}

// 设备设施-主要设备清单详情(不过滤设备类型)
export function queryAssetAll({ data, postParams }) {
    return httputils.fetchJson(`/data/sms_asset/queryByClassStructure`, data, postParams)
}

// 设备设施-主要材料清单
export function queryMaterialList({ getParams }) {
    return httputils.getJson(`/data/sms_material/query`, getParams)
}

// 设备设施-维保事项
export function queryWbsms({ data, getParams }) {
    return httputils.getJson(`/data/sms_wbsms/query`, data, getParams)
}

// 设备设施-维修事项
export function queryWx({ data, getParams }) {
    return httputils.getJson(`/data/sms_wx/query`, data, getParams)
}
// 设备设施-维修专业事项
export function queryWxzy({ data, getParams }) {
    return httputils.fetchJson(`/data/sms_wxzy/query`, data, getParams)
}
//设备设施-维修-查图片
export function queryWxzyImg({ data, getParams }) {
    return httputils.getJson(`/data/sms_wxzy/queryImg`, data, getParams)
}
// 设备设施-专维
export function queryZw({ data, getParams }) {
    return httputils.getJson(`/data/sms_zw/query`, data, getParams)
}

// 设备设施-其他事项
export function queryQtsx({ data, getParams }) {
    return httputils.getJson(`/data/sms_qtsx/query`, data, getParams)
}

// 设备设施-记录事项
export function queryRecord({ getParams }) {
    return httputils.getJson(` /data/sms_wxwbsxline/query`, getParams)
}

// 设备设施=查看图纸
export function queryxxx({ getParams }) {
    return httputils.getJson(`/data/xxX`, getParams)
}

// 设备设施-楼层电井口（间）控制商铺范围清单
export function queryShops({ getParams }) {
    return httputils.getJson(`/data/sms_shops/query`, getParams)
}
